Subject: Re: [PATCH net] ipv4: fix route lookups when handling ICMP redirects and PMTU updates

From: Guillaume Nault <[email-masked]>
Date: Wed, 2 Mar 2022 18:40:23 +0100

On Wed, Mar 02, 2022 at 09:19:43AM -0700, David Ahern wrote:
> On 3/1/22 4:41 AM, Guillaume Nault wrote:
> > And my final point was that the need for ip_rt_fix_tos() is temporary:
> > I plan to do the call paths review anyway, to make them initialise tos
> > and scope properly, thus removing the need for RTO_ONLINK. I already
> > have a draft patch series, but as I said that's work for net-next.
> 
> ok, if the cleanup is going to happen in -next then this simple patch
> seems good for net and stable

That's the plan, though I won't have time to submit the cleanup before
the next merge window (as we're already at -rc6 and I still have more
work to do to remove RTO_ONLINK).